Package net.shibboleth.shared.io

# Class NoWrapAutoEndInflaterInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
java.util.zip.InflaterInputStream
net.shibboleth.shared.io.NoWrapAutoEndInflaterInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class NoWrapAutoEndInflaterInputStream extends InflaterInputStream
A subclass of `InflaterInputStream` which defaults in a no-wrap `Inflater` instance and closes it when the stream is closed.

## Field Summary

### Fields inherited from class java.util.zip.InflaterInputStream

`buf, inf, len`

### Fields inherited from class java.io.FilterInputStream

`in`

## Constructor Summary

Constructors
Constructor
Description
`NoWrapAutoEndInflaterInputStream(InputStream is)`
Creates a new input stream with a default no-wrap decompressor and buffer size.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from class java.util.zip.InflaterInputStream

`available, fill, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.io.FilterInputStream

`read`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoWrapAutoEndInflaterInputStream

public NoWrapAutoEndInflaterInputStream(@Nonnull InputStream is)
Creates a new input stream with a default no-wrap decompressor and buffer size.

Parameters:
  `is` - the input stream

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InflaterInputStream`
Throws:
  `IOException`